Bug Hunting Session
Bug 53489 - FORMATTING: Doubled line in chart after removing line in represented table
Summary: FORMATTING: Doubled line in chart after removing line in represented table
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Chart (show other bugs)
Version:
(earliest affected)
3.5.5.3 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard: BSA
Keywords:
Depends on:
Blocks: Chart
  Show dependency treegraph
 
Reported: 2012-08-14 11:37 UTC by Samuel V.
Modified: 2019-10-20 02:33 UTC (History)
3 users (show)

See Also:
Crash report or crash signature:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Samuel V. 2012-08-14 11:37:52 UTC
Problem description: 

Steps to reproduce:
1. Create a table and a chart which is representing this table (linewise)
2. Fill out some values
3. Remove a line in the table

Current behavior:
the line below the deleted line is double-represented in the chart
(Also the things get messed up, if I insert a line in the represented range of the chart, but maybe this will be repaired during fixing THIS bug)

Expected behavior:
line should disappear in the chart


Platform: 
              
Browser: Mozilla/5.0 (Windows NT 6.1; WOW64; rv:14.0) Gecko/20100101 Firefox/14.0.1


At this time I can avoid this bug in my macro with this dirty hack:

' to avoid double categorie when reduced by only 1
' reduce by 2
For i = 12 To 24
	ranges(i).EndRow = ranges(i).EndRow - 2
Next
graph.setRanges(ranges)

' increase by 1
For i = 12 To 24
	ranges(i).EndRow = ranges(i).EndRow + 1
Next
graph.setRanges(ranges)
Comment 1 A (Andy) 2013-02-16 16:54:06 UTC Comment hidden (obsolete)
Comment 2 A (Andy) 2013-02-16 17:04:17 UTC Comment hidden (obsolete)
Comment 3 A (Andy) 2015-02-10 14:04:51 UTC
Reproducible with LO 4.4.0.3, Win 8.1.

Notes to Reproduce:
1. Open Calc
2. Test for instance with the following table:
         Column A    Column B
Row 1:   A           B
Row 2:   1           1
Row 3:   2           2
Row 4:   3           3
Row 5:   4           4

3. Select it to create a chart and select in the section Data Range = Data Series In Rows and Finish

4. Select Row 3 and delete it

Result: The selected data range for the chart will be correctly shrinked, but row 4 will be wrongly shown three times in the chart

5. Select the last row and delete it

Result: LO does not recognise this deletion and shows an empty entry in the chart -> here it would be nice if LO would recognise this and "shrink" the chart -> similiar to the shown selected data range after step 4
Comment 4 QA Administrators 2016-02-21 08:35:35 UTC Comment hidden (obsolete)
Comment 5 QA Administrators 2017-03-06 15:18:38 UTC Comment hidden (obsolete)
Comment 6 Xisco Faulí 2018-10-19 11:25:01 UTC
Dear Gülşah Köse,
This bug has been in ASSIGNED status for more than 3 months without any
activity. Resetting it to NEW.
Please assigned it back to yourself if you're still working on this.
Comment 7 QA Administrators 2019-10-20 02:33:18 UTC
Dear Samuel V.,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from http://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug